# -*- coding: utf-8 -*-
from PyQt5 import QtCore, QtWidgets


class UiSettingsDialog(object):
    def setup_ui(self):
        self.setObjectName("SettingsDialog")
        self.resize(391, 202)
        self.verticalLayout = QtWidgets.QVBoxLayout(self)
        self.verticalLayout.setObjectName("verticalLayout")
        self.server_group_box = QtWidgets.QGroupBox(self)
        self.server_group_box.setObjectName("server_group_box")
        self.server_layout = QtWidgets.QFormLayout(self.server_group_box)
        self.server_layout.setObjectName("server_layout")
        self.server_label = QtWidgets.QLabel(self.server_group_box)
        self.server_label.setObjectName("server_label")
        self.server_layout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.server_label)
        self.server_edit = QtWidgets.QLineEdit(self.server_group_box)
        self.server_edit.setObjectName("server_edit")
        self.server_layout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.server_edit)
        self.username_label = QtWidgets.QLabel(self.server_group_box)
        self.username_label.setObjectName("username_label")
        self.server_layout.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.username_label)
        self.username_edit = QtWidgets.QLineEdit(self.server_group_box)
        self.username_edit.setObjectName("username_edit")
        self.server_layout.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.username_edit)
        self.label_3 = QtWidgets.QLabel(self.server_group_box)
        self.label_3.setObjectName("label_3")
        self.server_layout.setWidget(2, QtWidgets.QFormLayout.LabelRole, self.label_3)
        self.password_edit = QtWidgets.QLineEdit(self.server_group_box)
        self.password_edit.setEchoMode(QtWidgets.QLineEdit.Password)
        self.password_edit.setObjectName("password_edit")
        self.server_layout.setWidget(2, QtWidgets.QFormLayout.FieldRole, self.password_edit)
        self.verticalLayout.addWidget(self.server_group_box)
        self.buttonBox = QtWidgets.QDialogButtonBox(self)
        self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.Cancel | QtWidgets.QDialogButtonBox.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslate_ui()
        self.buttonBox.accepted.connect(self.accept)
        self.buttonBox.rejected.connect(self.reject)
        QtCore.QMetaObject.connectSlotsByName(self)

    def retranslate_ui(self):
        _translate = QtCore.QCoreApplication.translate
        self.setWindowTitle(_translate("SettingsDialog", "Settings"))
        self.server_group_box.setTitle(_translate("SettingsDialog", "Server Details"))
        self.server_label.setText(_translate("SettingsDialog", "Server URL"))
        self.username_label.setText(_translate("SettingsDialog", "Username"))
        self.label_3.setText(_translate("SettingsDialog", "Password"))
