from PyQt5 import QtWidgets

from playtypus.ui_settingsdialog import UiSettingsDialog


class SettingsDialog(QtWidgets.QDialog, UiSettingsDialog):
    def __init__(self, parent=None):
        super().__init__(parent)
        self.setup_ui()

    @property
    def server_url(self):
        return self.server_edit.text()

    @server_url.setter
    def server_url(self, url):
        self.server_edit.setText(url)

    @property
    def username(self):
        return self.username_edit.text()

    @username.setter
    def username(self, username):
        self.username_edit.setText(username)

    @property
    def password(self):
        return self.password_edit.text()

    @password.setter
    def password(self, password):
        self.password_edit.setText(password)
